POST Validates an email address
POST /address/v1/validateEmail
Operation ID: validateEmail.
Processes an email address through one or more validators. This operation can perform three types of validation:
SyntaxValidator: Validates that the email address includes a name, an at sign (@), and a domain.MXValidator: Validates that a DNS mail exchange (MX) record exists on the domain of the email address.ListDetectiveValidator: Validates the email address by using List Detective, a proprietary database of email addresses that are known to be invalid or inactive.
Parameters
Authorization(header, string, required) A unique, time-limited token that you can use to issue requests to the Marketing Cloud Engagement API. ReplaceYOUR_ACCESS_TOKENwith your Marketing Cloud Engagement API authentication token.Example
Bearer YOUR_ACCESS_TOKEN
Request body (required)
An object that contains the address to validate and the types of validation to perform against it.
Media type: application/json. Schema: validationRequestBody.
Responses
- 200
Provides the result of the validation tests specified in the request body. If the email address passed the validation tests, the
failedValidationproperty isn’t included in the response. When an email address fails a validation test, we recommend that you stop sending email to that address. This step helps reduce your bounce and complaint rates.Media type:
application/json. Schema:validationFail. - 400
Indicates that your request contained errors that prevented the validation process. When you receive a 400 response, verify that the request syntax is accurate. For example, this error can occur if you specify an invalid validator type.
Media type:
application/json. Schema:internalError.Example
{ "message": "JSON Deserialization Exception: Location Unknown", "errorcode": 10004, "documentation": "" } - 401
Indicates that Marketing Cloud Engagement wasn't able to authorize your request. When you receive a 401 response, verify that you obtained an authorization token and that the token is still valid.
Media type:
application/json. Schema:httpError.Example
{ "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm", "errorcode": 0, "message": "Not Found" } - 404
Indicates that the URI in your request couldn't be reached. When you receive a 404 response, verify that the request contains the correct endpoint URI.
Media type:
application/json. Schema:httpError.Example
{ "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm", "errorcode": 404, "message": "Not Found" } - 500
Indicates that Marketing Cloud Engagement encountered an error when processing the request. When you receive a 500 response, verify that the request uses the correct syntax. Specifically, verify that the filter query uses the required syntax and that it uses only the supported fields.
Media type:
application/json. Schema:httpError.Example
{ "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm", "errorcode": 0, "message": "Internal Server Error" }